<?php


namespace App\Http\Controllers\Api;


use App\Services\PayService;
use Illuminate\Support\Facades\Log;
use Yansongda\Pay\Pay;

class PayNotifyController extends Controller
{
    /**
     * 微信支付回调
     */
    public function wx_notify(){
        $wxpay = Pay::wechat(PayService::wx_config());
        $data = $wxpay->verify();
        Log::info($data);

       return $wxpay->success();
    }

    /**
     * 支付宝支付回调
     */
    public function ali_notify(){
        $alipay = Pay::alipay(PayService::ali_config());
        $data = $alipay->verify();
        Log::info($data);
        return $alipay->success();
    }

    /**
     * 支付回调业务处理
     */
    public function order_do_sth($order){

    }
}
